
QGIS Application - Bug report #18117

QGIS 2.18 won't display layer after editing attribute table

2018-02-15 09:23 PM - David Noble

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.16 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26011

Description

After filtering out 21 features out of 20,000+ features, attribute table saves edit, but layer does not display.

Similarly, when I added features to original table, first added feature displayed, but subsequent added features save in the table but do

not display, though original features + 1 still display.

When I switch to v2.14, layer still will not display.

Will attempt this edit in v2.14 next. I was successful with a similar edit in v2.14 before.

I use 64 bit Win 7. Save to jump drives. Back up to hard drive.

Attached project file and zipped shapefile folder.

History

#1 - 2018-03-02 12:21 PM - Harrissou Santanna

David, I think you should instead report your issue at https://issues.qgis.org/projects/qgis (QGIS apllication's bug tracker) and not here (the bug tracker of

the bug tracker)

#2 - 2018-03-02 12:22 PM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.18.16

- Category changed from Any to Vectors

- Project changed from QGIS Redmine (QGIS bug tracker) to QGIS Application

- Easy fix? set to No

- Regression? set to No

#3 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-02-24 10:53 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Files

idahoPanhandleNationalForests.qgs 160 KB 2018-02-15 David Noble

Roads_2_shp.zip 372 KB 2018-02-15 David Noble
